- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
floor
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Numeric functions

Round to integer less than equal to current value. More...

## Functions
AFAPI array | floor (const array &in)
| C++ Interface for flooring an array of numbers. More...
AFAPI af_err | af_floor (af_array *out, const af_array in)
| C Interface for flooring an array of numbers. More...
AFAPI af_err | af_hypot (af_array *out, const af_array lhs, const af_array rhs, const bool batch)
| C Interface for getting length of hypotenuse of two arrays. More...

## Detailed Description

Round to integer less than equal to current value.

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI af_err af_floor | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for flooring an array of numbers.

Parameters

  [out] | out | will contain values rounded to nearest integer less than or equal to in
  [in] | in | is input array

Returns
  AF_SUCCESS if the execution completes properly

AFAPI af_err af_hypot | ( | af_array * | out,
|  | const af_array | lhs,
|  | const af_array | rhs,
|  | const bool | batch
| ) |  |

C Interface for getting length of hypotenuse of two arrays.

Parameters

  [out] | out | will contain the length of the hypotenuse
  [in] | lhs | is the length of first side
  [in] | rhs | is the length of second side
  [in] | batch | specifies if operations need to be performed in batch mode

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::floor | ( | const array & | in | ) |

C++ Interface for flooring an array of numbers.

Parameters

  [in] | in | is input array

Returns
  values rounded to nearest integer less than or equal to current value

Examples:
  bagging.cpp, and filters.cpp.